Bug 133757 - Installer hangs when trying to load keyboard selection list. Unhandled exception occured, usr/bin/anaconda line 1162, KeyError: 'no-latin1'
Installer hangs when trying to load keyboard selection list. Unhandled except...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-09-27 05:40 EDT by Steffen Torp
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-15 12:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshots of error and graphic installer broken window (252.67 KB, application/x-gzip)
2004-09-27 06:11 EDT, Steffen Torp
no flags Details

  None (edit)
Description Steffen Torp 2004-09-27 05:40:41 EDT
From Bugzilla Helper:
User-Agent: Opera/7.54 (X11; Linux i686; U)  [en]

Description of problem:
When installing Fedora Core 3, test 2 on a Fujitsu Siemens Amilo M 
8800 laptop, with Norwegian keyboard, an error occurs when starting 
the installer.

This error occurs both when chosing graphic and text-based installer. 
In text-mode I get a text error (written down here), and in graphic 
mode the screen is blocked by boxes.

The computer is currently running Fedora Core 2 (release). The 
installer with FC2 ran without problems, although LCD screen screen 
had to be set to 'Generic LCD screen' (auto-detect did not work)

Here is the error received in text mode (screenshots attached for 
both graphic and text mode):

Traceback (most recent call last):
File "usr/bin/anaconda", line 1162, in ?intf.run(id, dispatch, 
"7sr/src/build/451389-i386/install//usr/lib/anaconda/text.py", line 
484, in run
rc = apply(win, (self.screen, ) + args)
text.py", line 39, in __call__
default = default, help = "kybd")
"/usr/lib/python2.3/site-packages/snack.py", line 532 in, 
l.setCurrent (default)
"/usr/lib/python2.3/site-packages/snack.py", line 100 in setCurrent

KeyError: 'no-latin1'

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Insert FC3T1 cd1 on a Fujitsu Siemens Amilo M 8800 (P4) with 
Norwegian Keyboard
2.Boot and go for the Media Test
3.Choose graphic setup. Any resolution set will not work - screen 
will be blocked as attached file show anyhow.
Choose text-based setup. Error as in description.

Actual Results:  Installation cannot continue

Additional info:

Fujitsu Siemens Amilo M 8800 laptop, P4 1400MHz, Norwegian keyboard, 
standard 15.1" LCD SXGA screen

Fedora Core 2 installed without problems.
Comment 1 Steffen Torp 2004-09-27 06:11:20 EDT
Created attachment 104358 [details]
Screenshots of error and graphic installer broken window

3 files of screenshot of Text Installer Error
1 file of screenshot of Graphic Installer screen
Comment 2 Jeremy Katz 2004-09-27 14:26:50 EDT
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.